[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: q2-metadata_2019.4.0+dfsg-1_amd64.changes REJECTED



Hi Andreas,

Thanks for your help with adding the missing licenses! After the new pandas release, q2-metadata builds without errors. So, it's ready for the upload to the NEW again!

With regards,
Liubov

On Tue, 12 Nov 2019 at 11:31, Andreas Tille <andreas@fam-tille.de> wrote:
Hi Thorsten,

the license issue is fixed but I did not uploaded yet since there are
a build time test errors.  Liubov, could you investigate this:


dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_metadata"
I: pybuild pybuild:272: ln -s /usr/share/_javascript_/jquery-datatables/jquery.dataTables.min.js /build/q2-metadata-2019.10.0+dfsg/.pybuild/cpython3_3.7/build/q2_metadata/templates/tabulate/datatables.min.js
I: pybuild base:217: cd /build/q2-metadata-2019.10.0+dfsg/.pybuild/cpython3_3.7/build; py.test-3 --cov=q2_metadata
============================= test session starts ==============================
platform linux -- Python 3.7.5, pytest-4.6.6, py-1.8.0, pluggy-0.13.0
rootdir: /build/q2-metadata-2019.10.0+dfsg
plugins: cov-2.8.1
collected 0 items / 3 errors

==================================== ERRORS ====================================
_ ERROR collecting .pybuild/cpython3_3.7/build/q2_metadata/tests/test_distance.py _
ImportError while importing test module '/build/q2-metadata-2019.10.0+dfsg/.pybuild/cpython3_3.7/build/q2_metadata/tests/test_distance.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib/python3/dist-packages/pandas/__init__.py:26: in <module>
    from pandas._libs import (hashtable as _hashtable,
/usr/lib/python3/dist-packages/pandas/_libs/__init__.py:4: in <module>
    from .tslib import iNaT, NaT, Timestamp, Timedelta, OutOfBoundsDatetime
pandas/_libs/tslibs/c_timestamp.pxd:7: in init pandas._libs.tslib
    ???
pandas/_libs/tslibs/c_timestamp.pyx:1: in init pandas._libs.tslibs.c_timestamp
    ???
pandas/_libs/tslibs/tzconversion.pyx:1: in init pandas._libs.tslibs.tzconversion
    ???
pandas/_libs/tslibs/timedeltas.pyx:1: in init pandas._libs.tslibs.timedeltas
    ???
pandas/_libs/tslibs/conversion.pxd:10: in init pandas._libs.tslibs.offsets
    ???
pandas/_libs/tslibs/conversion.pyx:34: in init pandas._libs.tslibs.conversion
    ???
pandas/_libs/tslibs/parsing.pyx:34: in init pandas._libs.tslibs.parsing
    ???
E   ModuleNotFoundError: No module named 'pandas._config'

During handling of the above exception, another exception occurred:
q2_metadata/__init__.py:9: in <module>
    from ._tabulate import tabulate
q2_metadata/_tabulate.py:13: in <module>
    import pandas as pd
/usr/lib/python3/dist-packages/pandas/__init__.py:35: in <module>
    "the C extensions first.".format(module))
E   ImportError: C extension: No module named 'pandas._config' not built. If you want to import pandas from the source directory, you may need to run 'python setup.py build_ext --inplace --force' to build the C extensions first.
_ ERROR collecting .pybuild/cpython3_3.7/build/q2_metadata/tests/test_plugin_setup.py _
/usr/lib/python3/dist-packages/py/_path/local.py:701: in pyimport
    __import__(modname)
q2_metadata/__init__.py:9: in <module>
    from ._tabulate import tabulate
q2_metadata/_tabulate.py:13: in <module>
    import pandas as pd
/usr/lib/python3/dist-packages/pandas/__init__.py:26: in <module>
    from pandas._libs import (hashtable as _hashtable,
/usr/lib/python3/dist-packages/pandas/_libs/__init__.py:4: in <module>
    from .tslib import iNaT, NaT, Timestamp, Timedelta, OutOfBoundsDatetime
stringsource:105: in init pandas._libs.tslib
    ???
E   AttributeError: type object 'pandas._libs.tslib.array' has no attribute '__reduce_cython__'
_ ERROR collecting .pybuild/cpython3_3.7/build/q2_metadata/tests/test_tabulate.py _
/usr/lib/python3/dist-packages/py/_path/local.py:701: in pyimport
    __import__(modname)
q2_metadata/__init__.py:9: in <module>
    from ._tabulate import tabulate
q2_metadata/_tabulate.py:13: in <module>
    import pandas as pd
/usr/lib/python3/dist-packages/pandas/__init__.py:26: in <module>
    from pandas._libs import (hashtable as _hashtable,
/usr/lib/python3/dist-packages/pandas/_libs/__init__.py:4: in <module>
    from .tslib import iNaT, NaT, Timestamp, Timedelta, OutOfBoundsDatetime
stringsource:105: in init pandas._libs.tslib
    ???
E   AttributeError: type object 'pandas._libs.tslib.array' has no attribute '__reduce_cython__'

----------- coverage: platform linux, python 3.7.5-final-0 -----------
Name                                     Stmts   Miss  Cover
------------------------------------------------------------
q2_metadata/__init__.py                      6      5    17%
q2_metadata/_distance.py                    11     11     0%
q2_metadata/_tabulate.py                    24     20    17%
q2_metadata/_version.py                      4      4     0%
q2_metadata/plugin_setup.py                  8      8     0%
q2_metadata/tests/__init__.py                0      0   100%
q2_metadata/tests/test_distance.py          28     28     0%
q2_metadata/tests/test_plugin_setup.py       7      7     0%
q2_metadata/tests/test_tabulate.py          65     65     0%
------------------------------------------------------------
TOTAL                                      153    148     3%

!!!!!!!!!!!!!!!!!!! Interrupted: 3 errors during collection !!!!!!!!!!!!!!!!!!!!
=========================== 3 error in 0.41 seconds ============================
E: pybuild pybuild:341: test: plugin custom failed with: exit code=2: cd /build/q2-metadata-2019.10.0+dfsg/.pybuild/cpython3_3.7/build; py.test-3 --cov=q2_metadata
dh_auto_test: pybuild --test -i python{version} -p 3.7 -s custom "--test-args=cd {build_dir}; py.test-3 --cov=q2_metadata" returned exit code 13
make[1]: *** [debian/rules:22: override_dh_auto_test] Error 255


It might be that this is a Pandas version issue (latest Pandas
version is blocked due to Python3 migration).

Kind regards

       Andreas.


On Mon, Nov 11, 2019 at 11:00:11PM +0000, Thorsten Alteholz wrote:
>
> Hi Liubov,
>
> please also mention at least the MIT license in your debian/copyright.
>
> This software also contains versioneer.
>
> Thanks!
>  Thorsten
>
>
>
> ===
>
> Please feel free to respond to this email if you don't understand why
> your files were rejected, or if you upload new files which address our
> concerns.
>
>
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@alioth-lists.debian.net
> https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/debian-med-packaging

--
http://fam-tille.de

Reply to: